package cz.jzitnik.chronos.interactions.list.wordle;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

import java.time.LocalDate;

@Service
public class WordleService {
    @Autowired
    private RestTemplate restTemplate;

    public String fetchWordleSolution() {
        LocalDate today = LocalDate.now();
        String formattedDate = today.toString(); // Format: YYYY-MM-DD

        String url = "https://www.nytimes.com/svc/wordle/v2/" + formattedDate + ".json";

        WordleResponse response = restTemplate.getForObject(url, WordleResponse.class);

        return response != null ? response.getSolution() : "ahead"; // Idk another word than ahead
    }
}
